#!/usr/perl5/bin/perl -w
#
# Copyright 2001-2003 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#ident	"@(#)logout.pl	1.5	03/02/26 SMI"
#
# Logout page
#

require 5.005;
use strict;
use lib '/opt/SUNWscvw/lib/perl';

# Create the needed objects
my $q = new Cluster::Cgi;
my $rbac = new Cluster::RBAC;

# Invalidate the user's authorizations
$rbac->invalidate_auths();

my $r = Apache->request;
Cluster::AuthCookieHandler->logout($r); # Log the cookie out

# Redirect to the login page
print $q->redirect("/");
